apiVersion: k8s.mariadb.com/v1alpha1
kind: User
metadata:
  name: "{{ k8s_mariadbop_dbname }}-{{ k8s_mariadbop_dbusername }}"
  namespace: {{ k8s_mariadbop_namespace }}
spec:
  # If you want the user to be created with a different name than the resource name
  name: {{ k8s_mariadbop_dbusername }}
  mariaDbRef:
    name: {{ k8s_mariadbop_dbname }}
  passwordSecretKeyRef:
    name: "{{ k8s_mariadbop_dbusername }}password"
    key: "password"
  # This field is immutable and defaults to 10
  maxUserConnections: 80
  retryInterval: 5s
